<?xml version="1.0" encoding="UTF-8"?>
<dataSource name="chat@localhost">
  <database-model serializer="dbm" dbms="POSTGRES" family-id="POSTGRES" format-version="4.17">
    <root id="1">
      <ServerVersion>12.2</ServerVersion>
      <StartupTime>1586963931</StartupTime>
    </root>
    <database id="2" parent="1" name="chat">
      <ObjectId>16393</ObjectId>
      <Owner>postgres</Owner>
      <IntrospectionStateNumber>718</IntrospectionStateNumber>
      <Current>1</Current>
      <Relations>sequence|table|16394|16396|1
sequence|table|16412|16414|1
</Relations>
    </database>
    <database id="3" parent="1" name="postgres">
      <ObjectId>13318</ObjectId>
      <Comment>default administrative connection database</Comment>
      <Owner>postgres</Owner>
    </database>
    <role id="4" parent="1" name="pg_execute_server_program">
      <ObjectId>4571</ObjectId>
    </role>
    <role id="5" parent="1" name="pg_monitor">
      <ObjectId>3373</ObjectId>
    </role>
    <role id="6" parent="1" name="pg_read_all_settings">
      <ObjectId>3374</ObjectId>
    </role>
    <role id="7" parent="1" name="pg_read_all_stats">
      <ObjectId>3375</ObjectId>
    </role>
    <role id="8" parent="1" name="pg_read_server_files">
      <ObjectId>4569</ObjectId>
    </role>
    <role id="9" parent="1" name="pg_signal_backend">
      <ObjectId>4200</ObjectId>
    </role>
    <role id="10" parent="1" name="pg_stat_scan_tables">
      <ObjectId>3377</ObjectId>
    </role>
    <role id="11" parent="1" name="pg_write_server_files">
      <ObjectId>4570</ObjectId>
    </role>
    <role id="12" parent="1" name="postgres">
      <ObjectId>10</ObjectId>
      <SuperRole>1</SuperRole>
      <CreateRole>1</CreateRole>
      <CreateDb>1</CreateDb>
      <CanLogin>1</CanLogin>
      <Replication>1</Replication>
      <BypassRls>1</BypassRls>
    </role>
    <schema id="13" parent="2" name="information_schema">
      <ObjectId>13018</ObjectId>
      <StateNumber>282</StateNumber>
      <Owner>postgres</Owner>
    </schema>
    <schema id="14" parent="2" name="pg_catalog">
      <ObjectId>11</ObjectId>
      <Comment>system catalog schema</Comment>
      <StateNumber>275</StateNumber>
      <Owner>postgres</Owner>
    </schema>
    <schema id="15" parent="2" name="public">
      <ObjectId>2200</ObjectId>
      <Comment>standard public schema</Comment>
      <StateNumber>276</StateNumber>
      <Owner>postgres</Owner>
      <IntrospectionStateNumber>719</IntrospectionStateNumber>
      <Current>1</Current>
    </schema>
    <access-method id="16" parent="2" name="heap">
      <ObjectId>2</ObjectId>
      <Comment>heap table access method</Comment>
      <StateNumber>1</StateNumber>
      <Handler>pg_catalog.heap_tableam_handler</Handler>
      <HandlerId>3</HandlerId>
    </access-method>
    <access-method id="17" parent="2" name="btree">
      <ObjectId>403</ObjectId>
      <Comment>b-tree index access method</Comment>
      <StateNumber>1</StateNumber>
      <Handler>pg_catalog.bthandler</Handler>
      <HandlerId>330</HandlerId>
      <Type>index</Type>
    </access-method>
    <access-method id="18" parent="2" name="hash">
      <ObjectId>405</ObjectId>
      <Comment>hash index access method</Comment>
      <StateNumber>1</StateNumber>
      <Handler>pg_catalog.hashhandler</Handler>
      <HandlerId>331</HandlerId>
      <Type>index</Type>
    </access-method>
    <access-method id="19" parent="2" name="gist">
      <ObjectId>783</ObjectId>
      <Comment>GiST index access method</Comment>
      <StateNumber>1</StateNumber>
      <Handler>pg_catalog.gisthandler</Handler>
      <HandlerId>332</HandlerId>
      <Type>index</Type>
    </access-method>
    <access-method id="20" parent="2" name="gin">
      <ObjectId>2742</ObjectId>
      <Comment>GIN index access method</Comment>
      <StateNumber>1</StateNumber>
      <Handler>pg_catalog.ginhandler</Handler>
      <HandlerId>333</HandlerId>
      <Type>index</Type>
    </access-method>
    <access-method id="21" parent="2" name="spgist">
      <ObjectId>4000</ObjectId>
      <Comment>SP-GiST index access method</Comment>
      <StateNumber>1</StateNumber>
      <Handler>pg_catalog.spghandler</Handler>
      <HandlerId>334</HandlerId>
      <Type>index</Type>
    </access-method>
    <access-method id="22" parent="2" name="brin">
      <ObjectId>3580</ObjectId>
      <Comment>block range index (BRIN) access method</Comment>
      <StateNumber>1</StateNumber>
      <Handler>pg_catalog.brinhandler</Handler>
      <HandlerId>335</HandlerId>
      <Type>index</Type>
    </access-method>
    <extension id="23" parent="2" name="plpgsql">
      <ObjectId>13304</ObjectId>
      <Comment>PL/pgSQL procedural language</Comment>
      <StateNumber>437</StateNumber>
      <Version>1.0</Version>
      <SchemaName>pg_catalog</SchemaName>
      <SchemaId>11</SchemaId>
    </extension>
    <sequence id="24" parent="15" name="chat_id_seq">
      <ObjectId>16412</ObjectId>
      <StateNumber>517</StateNumber>
      <Owner>postgres</Owner>
      <SequenceIdentity>1</SequenceIdentity>
      <CacheSize>1</CacheSize>
      <DataType>integer</DataType>
    </sequence>
    <sequence id="25" parent="15" name="chatuser_id_seq">
      <ObjectId>16394</ObjectId>
      <StateNumber>495</StateNumber>
      <Owner>postgres</Owner>
      <SequenceIdentity>1</SequenceIdentity>
      <CacheSize>1</CacheSize>
      <DataType>integer</DataType>
    </sequence>
    <table id="26" parent="15" name="chat">
      <ObjectId>16414</ObjectId>
      <Owner>postgres</Owner>
      <StateNumber>714</StateNumber>
    </table>
    <table id="27" parent="15" name="chat_user">
      <ObjectId>16396</ObjectId>
      <Owner>postgres</Owner>
      <StateNumber>711</StateNumber>
    </table>
    <table id="28" parent="15" name="chat_user_chat">
      <ObjectId>16438</ObjectId>
      <Owner>postgres</Owner>
      <StateNumber>564</StateNumber>
    </table>
    <table id="29" parent="15" name="message">
      <ObjectId>16420</ObjectId>
      <Owner>postgres</Owner>
      <StateNumber>717</StateNumber>
    </table>
    <column id="30" parent="26" name="id">
      <Position>1</Position>
      <DataType>integer|0s</DataType>
      <NotNull>1</NotNull>
      <StateNumber>517</StateNumber>
      <DefaultExpression>nextval(&apos;chat_id_seq&apos;::regclass)</DefaultExpression>
      <TypeId>23</TypeId>
    </column>
    <column id="31" parent="26" name="name">
      <Position>2</Position>
      <DataType>varchar(20)|0s</DataType>
      <StateNumber>714</StateNumber>
      <TypeId>1043</TypeId>
    </column>
    <index id="32" parent="26" name="chat_pkey">
      <ObjectId>16418</ObjectId>
      <StateNumber>714</StateNumber>
      <ColNames>id</ColNames>
      <Unique>1</Unique>
      <Primary>1</Primary>
    </index>
    <key id="33" parent="26" name="chat_pkey">
      <ObjectId>16419</ObjectId>
      <StateNumber>517</StateNumber>
      <ColNames>id</ColNames>
      <Primary>1</Primary>
      <UnderlyingIndexName>chat_pkey</UnderlyingIndexName>
    </key>
    <column id="34" parent="27" name="id">
      <Position>1</Position>
      <DataType>integer|0s</DataType>
      <NotNull>1</NotNull>
      <StateNumber>495</StateNumber>
      <DefaultExpression>nextval(&apos;chatuser_id_seq&apos;::regclass)</DefaultExpression>
      <TypeId>23</TypeId>
    </column>
    <column id="35" parent="27" name="nickname">
      <Position>2</Position>
      <DataType>varchar(20)|0s</DataType>
      <StateNumber>711</StateNumber>
      <TypeId>1043</TypeId>
    </column>
    <index id="36" parent="27" name="chatuser_pkey">
      <ObjectId>16400</ObjectId>
      <StateNumber>711</StateNumber>
      <ColNames>id</ColNames>
      <Unique>1</Unique>
      <Primary>1</Primary>
    </index>
    <key id="37" parent="27" name="chatuser_pkey">
      <ObjectId>16401</ObjectId>
      <StateNumber>495</StateNumber>
      <ColNames>id</ColNames>
      <Primary>1</Primary>
      <UnderlyingIndexName>chatuser_pkey</UnderlyingIndexName>
    </key>
    <column id="38" parent="28" name="user_id">
      <Position>1</Position>
      <DataType>integer|0s</DataType>
      <StateNumber>564</StateNumber>
      <TypeId>23</TypeId>
    </column>
    <column id="39" parent="28" name="chat_id">
      <Position>2</Position>
      <DataType>integer|0s</DataType>
      <StateNumber>564</StateNumber>
      <TypeId>23</TypeId>
    </column>
    <foreign-key id="40" parent="28" name="chat_user_chat_user_id_fkey">
      <ObjectId>16441</ObjectId>
      <StateNumber>564</StateNumber>
      <ColNames>user_id</ColNames>
      <RefTableId>16396</RefTableId>
      <RefColPositions>1</RefColPositions>
      <RefTableName>chat_user</RefTableName>
      <RefKeyName>chatuser_pkey</RefKeyName>
      <RefColNames>id</RefColNames>
    </foreign-key>
    <foreign-key id="41" parent="28" name="chat_user_chat_chat_id_fkey">
      <ObjectId>16446</ObjectId>
      <StateNumber>564</StateNumber>
      <ColNames>chat_id</ColNames>
      <RefTableId>16414</RefTableId>
      <RefColPositions>1</RefColPositions>
      <RefTableName>chat</RefTableName>
      <RefKeyName>chat_pkey</RefKeyName>
      <RefColNames>id</RefColNames>
    </foreign-key>
    <column id="42" parent="29" name="text">
      <Position>1</Position>
      <DataType>varchar(100)|0s</DataType>
      <StateNumber>717</StateNumber>
      <TypeId>1043</TypeId>
    </column>
    <column id="43" parent="29" name="user_id">
      <Position>2</Position>
      <DataType>integer|0s</DataType>
      <StateNumber>520</StateNumber>
      <TypeId>23</TypeId>
    </column>
    <column id="44" parent="29" name="chat_id">
      <Position>3</Position>
      <DataType>integer|0s</DataType>
      <StateNumber>532</StateNumber>
      <TypeId>23</TypeId>
    </column>
    <column id="45" parent="29" name="time">
      <Position>4</Position>
      <DataType>timestamp|0s</DataType>
      <StateNumber>649</StateNumber>
      <TypeId>1114</TypeId>
    </column>
    <foreign-key id="46" parent="29" name="message_user_id_fkey">
      <ObjectId>16423</ObjectId>
      <StateNumber>520</StateNumber>
      <ColNames>user_id</ColNames>
      <RefTableId>16396</RefTableId>
      <RefColPositions>1</RefColPositions>
      <RefTableName>chat_user</RefTableName>
      <RefKeyName>chatuser_pkey</RefKeyName>
      <RefColNames>id</RefColNames>
    </foreign-key>
    <foreign-key id="47" parent="29" name="message_char_id_fkey">
      <ObjectId>16428</ObjectId>
      <StateNumber>520</StateNumber>
      <ColNames>chat_id</ColNames>
      <RefTableId>16414</RefTableId>
      <RefColPositions>1</RefColPositions>
      <RefTableName>chat</RefTableName>
      <RefKeyName>chat_pkey</RefKeyName>
      <RefColNames>id</RefColNames>
    </foreign-key>
  </database-model>
</dataSource>